package buildrestrictions
{
	function servercmdinstantusebrick(%client, %id)
	{
		if(getsimtime() - %client.lastinstantuse < 5000)
		{
			messageclient(%client, '', "\c2You are trying to instant use bricks too quickly.");
			return 0;
		}
		%client.lastinstantuse = getsimtime();
		return parent::servercmdinstantusebrick(%client, %id);
	}

	function servercmdshiftbrick(%client, %x, %y, %z)
	{
		if(%x)
		{
			%y = 0;
			%z = 0;
		}
		else if(%y)
			%z = 0;

		return parent::servercmdshiftbrick(%client, %x, %y, %z);
	}

	function servercmdplantbrick(%client)
	{
		if(!%client.isadmin && $buildspeedon)
		{
			if(getsimtime() - %client.lastplanttime < $buildspeed)
			{
				messageclient(%client, '', "\c2You are building too fast.  The current Build Speed is\c6" SPC $buildspeed);
				return 0;
			}
			%client.lastplanttime = getsimtime();
		}
		return parent::servercmdplantbrick(%client);
	}
		
};

function servercmdtogbuildrestrictions(%client)
{
	if(!%client.issuperadmin)
		return 0;

	if($buildrestrictions)
	{
		deactivatepackage(buildrestrictions);
		messageall('', "\c2Building Restrictions have been disabled.");
	}
	else
	{
		activatepackage(buildrestrictions);
		messageall('', "\c2Building Restrictions are now enforced.");
	}
	$buildrestrictions = !$buildrestrictions;
}

function servercmdbuildspeed(%client, %speed)
{
	if(%client.issuperadmin)
	{
		if(%speed $= "")
		{
			if($buildspeed $= "")
				$buildspeed = 100;
			$buildspeedon = !$buildspeedon;
			messageall('', "\c2The Maximum Build Speed has been" SPC ($buildspeedon? "\c1En" : "\c0Dis") @ "abled");
		}
		else
		{
			if(!isint(%speed))
				%speed = 100;
			$buildspeed = %speed;
			messageall('', "\c2The Maximum Build Speed has been changed to\c6" SPC $buildspeed);
		}
	}
}